	REM
	REM Scrolling technical test
	REM Demo for IntyBASIC
	REM by Oscar Toledo G. http://nanochess.org/
	REM Feb/26/2014
	REM

	WAIT
	DEFINE 0,2,graphics
	WAIT
	BORDER 0,3
	FOR ROW=0 TO 11
	GOSUB clear_row
	NEXT
	offset_x = 0
	offset_y = 0
	offset_d = 0
	WAIT

repeat:
	REM >>>> Scroll upward
        FOR time=1 to 240
	IF offset_y=7 THEN offset_d=3:offset_y=0 ELSE offset_y=offset_y+1
	SCROLL offset_x,offset_y,offset_d	
	WAIT
	offset_d=0
	IF offset_y=0 THEN ROW=0:GOSUB clear_row:PRINT AT RAND%20,"\257" 
	NEXT time

	REM >>>> Scroll to left
        FOR time=1 to 240
	IF offset_x=7 THEN offset_d=1:offset_x=0 ELSE offset_x=offset_x+1
	SCROLL offset_x,offset_y,offset_d	
	WAIT
	offset_d=0
	IF offset_x=0 THEN COL=0:GOSUB clear_column:PRINT AT RAND%12*20,"\257" 
	NEXT time

	REM >>>> Scroll downward
        FOR time=1 to 240
	IF offset_y=0 THEN offset_d=4:offset_y=7 ELSE offset_y=offset_y-1
	SCROLL offset_x,offset_y,offset_d
	WAIT
	offset_d=0
	IF offset_y=7 THEN ROW=11:GOSUB clear_row:PRINT AT 220+RAND%20,"\257" 
	NEXT time

	REM >>>> Scroll to right
        FOR time=1 to 240
	IF offset_x=0 THEN offset_d=2:offset_x=7 ELSE offset_x=offset_x-1
	SCROLL offset_x,offset_y,offset_d	
	WAIT
	offset_d=0
	IF offset_x=7 THEN COL=19:GOSUB clear_column:PRINT AT RAND%12*20+19,"\257" 
	NEXT time

	GOTO repeat

clear_row:	PROCEDURE
	PRINT AT ROW*20
	PRINT "\256\256\256\256\256\256\256\256\256\256"
	PRINT "\256\256\256\256\256\256\256\256\256\256"
	RETURN
	END

clear_column:	PROCEDURE
	FOR ROW=0 TO 11
	PRINT AT ROW*20+COL,"\256"
	NEXT
	RETURN
	END

graphics:
	BITMAP "00001000"
	BITMAP "00001000"
	BITMAP "00001000"
	BITMAP "11111111"
	BITMAP "00001000"
	BITMAP "00001000"
	BITMAP "00001000"
	BITMAP "00001000"

	BITMAP "11111111"
	BITMAP "10101011"
	BITMAP "11010101"
	BITMAP "10101011"
	BITMAP "11010101"
	BITMAP "10101011"
	BITMAP "11010101"
	BITMAP "11111111"

